#ifndef REMOVE_MC_TEST

#include "ucp2.h"
#include <InterpolationLTE_2nd.h>


//DM0 input data0
__DM0 int InputAddr0[30740] = {
	#include <Ant0DataIn.dat>
};

//DM1 input data1
__DM1 int InputAddr1[30740] = {
	#include <Ant1DataIn.dat>
};

//DM2 output data0
__DM2 int OutputAddr0[61450] = {};

//DM3 output data1
__DM3 int OutputAddr1[61450] = {};

//DM3 filter factor
__DM3 int LUTAddr[14] = {
  	#include <hbfir2_fixed.dat>
};

//DM3 configuration.dat
__DM3 int ConfigBaseAddr[] = {
  #include <Config_InterpolationLTE_2nd.dat>
};

__DM3 v16s32 SVRReg  = {
	0, 0, 0, 0,
	0x40, 0, 0, 0,
	0xff00ff, 0, 0, 0,
	0xffff, 0x6, 0, 0
};

int main(void)
{
	volatile int a = 1;
	int Length = 64;
	int AntNum = 2;

	InterpolationLTE_2nd((int)ConfigBaseAddr, 
                          MPU_ADDR(InputAddr0), 
                          MPU_ADDR(InputAddr1), 
                          MPU_ADDR(OutputAddr0), 
                          MPU_ADDR(OutputAddr1), 
                          MPU_ADDR(LUTAddr), 
                          Length, 
                          AntNum);
	
	SVRReg[0] = MPU_ADDR(ConfigBaseAddr);

	InterpolationLTE_2ndAsm(SVRReg);

	a = __ucps2_getStatB();
	__ucps2_delay();
	return a;
}

#endif